Bug 91313 - r128 driver in Xfree generates pixel noise
r128 driver in Xfree generates pixel noise
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
none
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-21 09:01 EDT by Joe Ceklosky
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 01:13:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xlog for the r128 Mobility 3 card (34.69 KB, text/plain)
2003-05-21 20:43 EDT, Joe Ceklosky
no flags Details
redhat generated xconfig (3.10 KB, text/plain)
2003-05-21 20:44 EDT, Joe Ceklosky
no flags Details
Xlog from Redhat kernel (34.52 KB, text/plain)
2003-05-26 12:17 EDT, Joe Ceklosky
no flags Details

  None (edit)
Description Joe Ceklosky 2003-05-21 09:01:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; SunOS 5.8 sun4u)

Description of problem:
When using the r128 driver in the Xfree 4.3.0-2 package on Redhat 9 screen
'noise' can been seen as a vertical bar 1/4 from the right side of the screen
the desktop background when moving a window around on the screen.  Removing DRI
from the X config does not solve the noise.  
 
This problem does NOT happen on Redhat 8.0 with DRI ON or OFF.
This appears to be a bug in Xfree 4.3.0-2.

This is a laptop with an ATI r128 Mobility M3 chipset.  The hardware
is fine, but Xfree appears to be broken.

Version-Release number of selected component (if applicable):
4.3.0-2

How reproducible:
Always

Steps to Reproduce:
1. Start x
2. Move a window on the screen
3.
    

Actual Results:  The screen noise appears 1/4 from the right side of the screen

Expected Results:  No screen noise

Additional info:

Happens with stock Redhat 9 kernel and Xfree-4.3.0-2
Comment 1 Mike A. Harris 2003-05-21 09:30:56 EDT
Just a speculation for now, but it sounds like perhaps the timing is off
on something in the driver.

Please attach your X server log file and config file to the bug report
using bugzilla file attachment.  I do not have laptop hardware, however
I do believe I have a prototype Radeon M3 engineering sample somewhere.

In order to maximize the chances of someone being able to investigate this
problem, figure out what is causing it and hopefully be able to fix it as
well, it would be a good idea to file the bug report upstream in XFree86's
bugzilla at: http://bugs.xfree86.org and then paste the upstream URL here
so I can keep an eye on the upstream report as well.

Thanks in advance.
Comment 2 Joe Ceklosky 2003-05-21 20:43:25 EDT
Created attachment 91874 [details]
Xlog for the r128 Mobility 3 card

This is the Xlog for the bug
Comment 3 Joe Ceklosky 2003-05-21 20:44:24 EDT
Created attachment 91875 [details]
redhat generated xconfig

Here is the XF config generated by Redhat
Comment 4 Mike A. Harris 2003-05-26 09:44:54 EDT
You are not using a Red Hat kernel, and while this bug probably does not have
anything at all to do with the kernel, I must ask you to please reproduce it
while booted into the official Red Hat Linux kernel, and attach your newest
X server log.

While it is unlikely to make any difference, there is a remote possibility of
something, and we only officially support systems which run the binary software
we supply.

Comment 5 Joe Ceklosky 2003-05-26 12:17:21 EDT
Created attachment 91974 [details]
Xlog from Redhat kernel

The problem with the screen noise still happens with the stock Redhat provivded
kernel.
Comment 6 Mike A. Harris 2004-10-01 01:13:13 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

    http://fedora.redhat.com

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.


Note You need to log in before you can comment on or make changes to this bug.